#define BUTTON PD2
#define RED PB3
#define GREEN PB2
#define BLUE PB1

long ts = 0;

void setup()
{
    //RGB setup
    DDRB |= (1 << RED) | (1 << GREEN) | (1 << BLUE);
    PORTB &= ~(1 << RED) | ~(1 << GREEN) | ~(1 << BLUE);
  
    //BUTTON setup
    DDRD &= ~(1 << BUTTON);
    PORTD |= (1 << BUTTON);
  
    //Interrupt setup
    EIMSK |= (1 << INT0);
    // On the rising edge
    EICRA |= (1 << ISC01) | (1 << ISC00);
}

ISR(INT0_vect)
{
  if (millis() - ts > 300) {
    ts = millis();
    PORTB ^= (1 << RED) | (1 << GREEN) | (1 << BLUE);
  }
}

void loop()
{
  
}
