#include <Servo.h>

Servo myservo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position
int step = 1;
int direction = 0;

void setup() {
  Serial.begin(9600);
  
  myservo.attach(5);
  myservo.write(pos);
  delay(15); 
}

void loop() {
  if (Serial.available()){
    char a = Serial.read();
    if (a == 'd')
      direction = 1 - direction;
  }
  if (direction == 0 && pos <= 180) {
    pos += step;
    
  } else if (direction == 1 && pos >= 0) {
    pos -= step;
  }
  myservo.write(pos);
  delay(15); 
}
